For the complete documentation index, see llms.txt. This page is also available as Markdown.

Messages

List

get

Retrieve Schedule Message(s).

Path parameters
idinteger · int32Required

The ID of the Schedule setting for which to retrieve the messages.

Responses
200

Success

application/json; api-version=1.0

Schedule Message

idinteger · int32Optional

ID of the object.

enabledbooleanOptional

Enabled

messageTitlestring · nullableOptional

Message title

messagestring · nullableOptional

Message

sendMsgSecsinteger · int32Optional

Seconds before message is sent

sendMsgWhenstring · enumOptional

Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.

Possible values:
get/api/RDS/HostPool/Schedule/{id}/Messages
GET /api/RDS/HostPool/Schedule/{id}/Messages HTTP/1.1
Accept: */*
[
  {
    "id": 1,
    "enabled": true,
    "messageTitle": "text",
    "message": "text",
    "sendMsgSecs": 1,
    "sendMsgWhen": [
      "0 = Before",
      "1 = After"
    ]
  }
]

Create

post

Create a Schedule Message.

Path parameters
idinteger · int32Required

The ID of the Schedule setting for which to create the message.

Body
enabledbooleanOptional

Whether to enable or disable the message.

messageTitlestring · min: 1 · max: 255 · nullableRequired

The title of the message.

messagestring · min: 1 · max: 255 · nullableRequired

A message that should be sent to users before the job starts.

sendMsgSecsinteger · int32Optional

Time interval in seconds before the job starts when the message to users should be sent.

sendMsgWhenstring · enumOptional

Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.

Possible values:
Responses
201

Created

application/json; api-version=1.0

Schedule Message

idinteger · int32Optional

ID of the object.

enabledbooleanOptional

Enabled

messageTitlestring · nullableOptional

Message title

messagestring · nullableOptional

Message

sendMsgSecsinteger · int32Optional

Seconds before message is sent

sendMsgWhenstring · enumOptional

Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.

Possible values:
post/api/RDS/HostPool/Schedule/{id}/Messages
POST /api/RDS/HostPool/Schedule/{id}/Messages HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 112

{
  "enabled": true,
  "messageTitle": "text",
  "message": "text",
  "sendMsgSecs": 1,
  "sendMsgWhen": [
    "0 = Before",
    "1 = After"
  ]
}
{
  "id": 1,
  "enabled": true,
  "messageTitle": "text",
  "message": "text",
  "sendMsgSecs": 1,
  "sendMsgWhen": [
    "0 = Before",
    "1 = After"
  ]
}

Get

get

Retrieve a Schedule Message.

Path parameters
idinteger · int32Required

The ID of the Schedule setting for which to retrieve the message.

messageIdinteger · int32Required

The ID of the message to retrieve.

Responses
200

Success

application/json; api-version=1.0

Schedule Message

idinteger · int32Optional

ID of the object.

enabledbooleanOptional

Enabled

messageTitlestring · nullableOptional

Message title

messagestring · nullableOptional

Message

sendMsgSecsinteger · int32Optional

Seconds before message is sent

sendMsgWhenstring · enumOptional

Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.

Possible values:
get/api/RDS/HostPool/Schedule/{id}/Messages/{messageId}
GET /api/RDS/HostPool/Schedule/{id}/Messages/{messageId} HTTP/1.1
Accept: */*
{
  "id": 1,
  "enabled": true,
  "messageTitle": "text",
  "message": "text",
  "sendMsgSecs": 1,
  "sendMsgWhen": [
    "0 = Before",
    "1 = After"
  ]
}

Update

put

Update a Schedule Message.

Path parameters
idinteger · int32Required

The ID of the Schedule setting for which to modify the message.

messageIdinteger · int32Required

The ID of the message to modify.

Body
enabledboolean · nullableOptional

Whether to enable or disable the message.

messageTitlestring · min: 1 · max: 255 · nullableOptional

The title of the message.

messagestring · min: 1 · max: 255 · nullableOptional

A message that should be sent to users before the job starts.

sendMsgSecsinteger · int32 · nullableOptional

Time interval in seconds before the job starts when the message to users should be sent.

sendMsgWhenstring · enumOptional

Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.

Possible values:
Responses
204

No Content

No content

put/api/RDS/HostPool/Schedule/{id}/Messages/{messageId}
PUT /api/RDS/HostPool/Schedule/{id}/Messages/{messageId} HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 112

{
  "enabled": true,
  "messageTitle": "text",
  "message": "text",
  "sendMsgSecs": 1,
  "sendMsgWhen": [
    "0 = Before",
    "1 = After"
  ]
}

No content

Delete

delete

Delete a Schedule Message by ID.

Path parameters
idinteger · int32Required

The ID of the Schedule setting for which to remove the message.

messageIdinteger · int32Required

The ID of the message to remove.

Responses
204

No Content

No content

delete/api/RDS/HostPool/Schedule/{id}/Messages/{messageId}
DELETE /api/RDS/HostPool/Schedule/{id}/Messages/{messageId} HTTP/1.1
Accept: */*

No content